# Uses of Class
com.google.protobuf.Mixin

Packages that use Mixin
Package
Description
com.google.protobuf

## Uses of Mixin in com.google.protobuf

Methods in com.google.protobuf that return Mixin
Modifier and Type
Method
Description
`Mixin`
Mixin.Builder.`build()`
`Mixin`
Mixin.Builder.`buildPartial()`
`static Mixin`
Mixin.`getDefaultInstance()`
`Mixin`
Mixin.Builder.`getDefaultInstanceForType()`
`Mixin`
Mixin.`getDefaultInstanceForType()`
`Mixin`
Api.Builder.`getMixins(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Mixin`
Api.`getMixins(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Mixin`
ApiOrBuilder.`getMixins(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`static Mixin`
Mixin.`parseDelimitedFrom(InputStream input)`
`static Mixin`
Mixin.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Mixin`
Mixin.`parseFrom(byte[] data)`
`static Mixin`
Mixin.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Mixin`
Mixin.`parseFrom(ByteString data)`
`static Mixin`
Mixin.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Mixin`
Mixin.`parseFrom(CodedInputStream input)`
`static Mixin`
Mixin.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Mixin`
Mixin.`parseFrom(InputStream input)`
`static Mixin`
Mixin.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Mixin`
Mixin.`parseFrom(ByteBuffer data)`
`static Mixin`
Mixin.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Mixin
Modifier and Type
Method
Description
`List<Mixin>`
Api.Builder.`getMixinsList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`List<Mixin>`
Api.`getMixinsList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`List<Mixin>`
ApiOrBuilder.`getMixinsList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Parser<Mixin>`
Mixin.`getParserForType()`
`static Parser<Mixin>`
Mixin.`parser()`
Methods in com.google.protobuf with parameters of type Mixin
Modifier and Type
Method
Description
`Api.Builder`
Api.Builder.`addMixins(int index, Mixin value)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Api.Builder`
Api.Builder.`addMixins(Mixin value)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Mixin.Builder`
Mixin.Builder.`mergeFrom(Mixin other)`
`static Mixin.Builder`
Mixin.`newBuilder(Mixin prototype)`
`Api.Builder`
Api.Builder.`setMixins(int index, Mixin value)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
Method parameters in com.google.protobuf with type arguments of type Mixin
Modifier and Type
Method
Description
`Api.Builder`
Api.Builder.`addAllMixins(Iterable<? extends Mixin> values)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`